# Type Alias ApplicationBeforeFunction<Config>

ApplicationBeforeFunction: (
config: ConfigService,
options: Config,
) => any | Promise<any>

#### Type Parameters

- Config extends object

#### Type declaration

- - (config: ConfigService, options: Config): any | Promise<any>

  - #### Parameters

    - config: ConfigService
    - options: Config

    #### Returns any | Promise<any>

- Defined in application.ts:15